Page MenuHomePhabricator

Command "show routing table XX" don't work (FRRouting bug)
Closed, ResolvedPublicBUG

Description

Hello!
Seems that command show ip route table don't work in FRRouting version that using in VyOS 1.2.0-rolling+201811180337.
Output from vtysh:

vyos# show running-config 
Building configuration...

Current configuration:
!
frr version 6.1-dev
frr defaults traditional
hostname debian
log syslog informational
hostname vyos
service integrated-vtysh-config
username cumulus nopassword
!
ip route 0.0.0.0/0 192.168.20.1 210
ip route 192.168.15.0/24 192.168.20.1 table 10
!
line vty
!
end
vyos# show ip route 
Codes: K - kernel route, C - connected, S - static, R - RIP,
       O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
       T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
       F - PBR, f - OpenFabric,
       > - selected route, * - FIB route

S>* 0.0.0.0/0 [210/0] via 192.168.20.1, eth1, 14:04:39
C>* 192.168.20.0/24 is directly connected, eth1, 14:04:40
vyos# show ip route table 10
vyos#

Output from bash:

root@vyos:/home/vyos# ip route show table 10
192.168.15.0/24 via 192.168.20.1 dev eth1 proto static metric 20 
root@vyos:/home/vyos#

We need to check this with fresh master branch of FRRouting and if problem still exist, make a issue in github.

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0-rolling+201811180337
Why the issue appeared?
Will be filled on close

Event Timeline

zsdc created this task.Nov 18 2018, 12:31 PM
syncer changed the task status from Open to Needs testing.Dec 1 2018, 5:46 PM
syncer added a subscriber: syncer.

we bumped frr to the last master in rc9
check there, if still exist we can go ask frr guys

syncer triaged this task as Normal priority.Dec 1 2018, 5:46 PM
zsdc added a comment.Dec 4 2018, 10:00 AM

Checked in 1.2.0-rolling+201812010337, all works fine.
Vtysh:

root@vyos:/home/vyos# vtysh 

Hello, this is FRRouting (version 6.1-dev-vyos).
Copyright 1996-2005 Kunihiro Ishiguro, et al.

vyos# show running-config 
Building configuration...

Current configuration:
!
frr version 6.1-dev-vyos
frr defaults traditional
hostname debian
log syslog informational
hostname vyos
service integrated-vtysh-config
username cumulus nopassword
!
ip route 0.0.0.0/0 192.168.20.1 210
ip route 192.168.15.0/24 192.168.20.1 table 10
!
line vty
!
end
vyos# show ip route 
Codes: K - kernel route, C - connected, S - static, R - RIP,
       O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
       T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
       F - PBR, f - OpenFabric,
       > - selected route, * - FIB route

S>* 0.0.0.0/0 [210/0] via 192.168.20.1, eth1, 00:03:41
C>* 192.168.20.0/24 is directly connected, eth1, 00:03:41
vyos# show ip route table 10
Codes: K - kernel route, C - connected, S - static, R - RIP,
       O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
       T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
       F - PBR, f - OpenFabric,
       > - selected route, * - FIB route

S>* 192.168.15.0/24 [1/0] via 192.168.20.1, eth1, 00:00:56

VyOS CLI:

vyos@vyos:~$ show ip route table 10
Codes: K - kernel route, C - connected, S - static, R - RIP,
       O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
       T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
       F - PBR, f - OpenFabric,
       > - selected route, * - FIB route

S>* 192.168.15.0/24 [1/0] via 192.168.20.1, eth1, 00:01:39

Ticket can be closed now.

syncer moved this task from Need Triage to Finished on the VyOS 1.2 Crux board.
syncer closed this task as Resolved.
syncer claimed this task.